> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 評価 run の完了

> 評価 run を完了します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/evaluation_runs/{evaluation_run_id}/finish
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/evaluation_runs/{evaluation_run_id}/finish:
    post:
      tags:
        - Evaluation Runs
      summary: 評価 run の完了
      description: 評価 run を完了します。
      operationId: >-
        evaluation_run_finish_v2__entity___project__evaluation_runs__evaluation_run_id__finish_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: evaluation_run_id
          required: true
          schema:
            title: Evaluation Run Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluationRunFinishBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationRunFinishRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvaluationRunFinishBody:
      description: >-
        REST API 経由で評価 run を終了するためのリクエストボディ。


        このモデルには project_id と evaluation_run_id は含まれません。これらは RESTful endpoints の
        URL パスから取得されるためです。
      properties:
        summary:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: 評価 run の任意の summary 辞書
          title: Summary
      title: EvaluationRunFinishBody
      type: object
    EvaluationRunFinishRes:
      properties:
        success:
          description: 評価 run が正常に終了したかどうか
          title: Success
          type: boolean
      required:
        - success
      title: EvaluationRunFinishRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````